<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="en-US">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="content-style-type" content="text/css">
<link rel="stylesheet" href="media/tomoyolinux.css" media="all" type="text/css">
<title>TOMOYO Linux News Archive</title>
</head>

<body>

<div id="titlebar">
<a href="index.html.en"><img src="media/tomoyotitle.png" alt="tomoyotitle.png" width="320" height="40" border="0" align="left" title="TOMOYO Linux"></a>
</div>

<div id="navbar" class="tomoyo-home">
<ul id="navbarlist">
<li id="tomoyo-home"><a href="index.html.en" title="TOMOYO Linux Home Page">Home</a></li>
<li id="tomoyo-about"><a href="about.html.en" title="About TOMOYO Linux">About</a></li>
<li id="tomoyo-download"><a href="download.html.en" title="Get TOMOYO Linux">Download</a></li>
<li id="tomoyo-changelogs"><a href="changelogs.html.en" title="TOMOYO Linux ChangeLogs">ChangeLogs</a></li>
<li id="tomoyo-documentation"><a href="documentation.html.en" title="Official Documentation">Documentation</a></li>
<li id="tomoyo-support"><a href="support.html.en" title="Support information">Support</a></li>
<li id="tomoyo-links"><a href="links.html.en" title="Links">Links</a></li>
</ul>
<ul id="switch-language">
<li id="tomoyo-switch-language"><a href="news.html.ja" title="Go to Japanese page">Japanese page</a></li>
</ul>
</div>

<div id="content">

<h3>News Archive</h3>

<div id="news-archive">

<p class="timestamp">5th Aug, 2012</p>
<h4><a name="20120805">ccs-tools 1.8.3p4 and tomoyo-tools 2.5.0p3 released</a></h4>
<p class="article">An updated ccs-tools for the 1.8.x branch and tomoyo-tools for 2.5.x branch fix a trivial parser bug (<a href="changelogs/ccs-tools-1.8.html.en">ChangeLog</a>).</p>

<br>

<p class="timestamp">5th May, 2012</p>
<h4><a name="20120505">ccs-patch 1.8.3p7/1.7.3p4/1.6.9p4 released</a></h4>
<p class="article">An updated ccs-patch for the 1.8.x branch fixes three bugs which would affect only CentOS 4, CentOS 5 and Ubuntu 12.04 users (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>).</p>

<br>

<p class="timestamp">1st April, 2012</p>
<h4><a name="20120401">ccs-patch 1.8.3p6/1.7.3p3/1.6.9p3 released</a></h4>
<p class="article">An updated ccs-patch for the 1.8.x branch accommodates changes for Linux 3.4-rc1 kernel (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>).</p>

<br>

<p class="timestamp">1st March, 2012</p>
<h4><a name="20120301">ccs-patch 1.8.3p5/1.7.3p2/1.6.9p2 released</a></h4>
<p class="article">An updated ccs-patch accommodates changes to the redefinition of UMH_WAIT_PROC constant which is scheduled for Linux 3.4-rc1 kernel (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>). This redefinition may be backported to 2.6.23 and later kernels. Affected kernels must upgrade to this version of ccs-patch.</p>

<br>

<p class="timestamp">20th January, 2012</p>
<h4><a name="20120120">ccs-patch 1.8.3p4 updated</a></h4>
<p class="article">An updated ccs-patch for the 1.8.x branch accommodates changes to the recent Linux 3.3-rc1 kernel (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>).</p>

<br>

<p class="timestamp">13th December, 2011</p>
<h4><a name="20111213">ccs-patch 1.8.3p4 released</a></h4>
<p class="article">A new version of ccs-patch for the 1.8.x branch accommodates changes to the behaviour of __d_path() in recent kernels (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>). This new behaviour was introduced in Linux 3.2-rc5 but may be backported to 2.6.36 and later kernels. Affected kernels must upgrade to this version of ccs-patch.</p>

<br>

<p class="timestamp">18th November, 2011</p>
<h4><a name="20111118">ccs-patch 1.8.3p3 released</a></h4>
<p class="article">A new version of ccs-patch for the 1.8.x branch fixes a small bug in the mapping of a profile configuration option (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>). Most users should not be affected.</p>

<br>

<p class="timestamp">11th November, 2011</p>
<h4><a name="20111111">6th anniversary of TOMOYO Linux</a></h4>
<p class="article">Today is the 6th anniversary since TOMOYO Linux 1.0 was released! We were unable to publish our usual anniversary release, but a new version of ccs-patch is available for the 1.8.x branch (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>). You also might be interested in reading the <a href="http://sourceforge.jp/projects/tomoyo/lists/archive/users-en/2011-November/000417.html">extended announcement</a>, which includes information on the potential upcoming changes in the TOMOYO Linux 1.9.x branch. Also mentioned in the announcement:</p>

<ul>
<li><a href="1.8/chapter-3.html.en#3.2">A repository for RHEL 6 and Fedora 16 binary packages for both i686 and x86_64</a></li>
<li><a href="http://www.youtube.com/watch?v=MkBXGUb6RPo">TOMOYO 2.4 to be included in openSUSE 12.1</a></li>
<li><a href="https://lists.ubuntu.com/archives/kernel-team/2011-November/017719.html">TOMOYO 2.5 to be included in Ubuntu 12.04</a></li>
</ul>

<br>

<p class="timestamp">25th October, 2011</p>
<h4><a name="20111025">tomoyo-tools 2.5.0p1 and ccs-patch 1.8.3p1 released</a></h4>
<p class="article">New versions of tomoyo-tools for 2.4.x and 2.5.x branches have been released, as well as new versions of ccs-patch and ccs-tools for the 1.8.x branch. Please be sure to use the <a href="documentation.html.en">correct version of tomoyo-tools</a> for the Linux kernel version in use.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.3</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.3</a></li>
<li><a href="changelogs/tomoyo-tools-2.5.html.en">tomoyo-tools 2.5.0</a></li>
<li><a href="changelogs/tomoyo-tools-2.4.html.en">tomoyo-tools 2.4.0</a></li>
</ul>

<br>

<p class="timestamp">29th September, 2011</p>
<h4><a name="20110929">tomoyo-tools 2.5.0 and ccs-patch 1.8.3 released</a></h4>
<p class="article">A new version of tomoyo-tools has been released for the upcoming Linux 3.2 kernel. New versions of tomoyo-tools for the 2.3.x and 2.4.x branches have also been released, as well as new versions of ccs-patch and ccs-tools for the 1.8.x branch.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.3</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.3</a></li>
<li><a href="changelogs/tomoyo-tools-2.5.html.en">tomoyo-tools 2.5.0</a></li>
<li><a href="changelogs/tomoyo-tools-2.4.html.en">tomoyo-tools 2.4.0</a></li>
<li><a href="changelogs/tomoyo-tools-2.3.html.en">tomoyo-tools 2.3.0</a></li>
</ul>

<br>

<p class="timestamp">16th September, 2011</p>
<h4><a name="20110916">ccs-tools 1.8.2p5 released</a></h4>
<p class="article">A new version of ccs-tools for the 1.8.x branch has been released (<a href="changelogs/ccs-tools-1.8.html.en">ChangeLog</a>).</p>

<br>

<p class="timestamp">3rd September, 2011</p>
<h4><a name="20110903">ccs-patch 1.8.2p3 released</a></h4>
<p class="article">A new version of ccs-patch for the 1.8.x branch has been released (<a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>).</p>

<br>

<p class="timestamp">20th August, 2011</p>
<h4><a name="20110820">tomoyo-tools 2.4.0p1 and ccs-tools 1.8.2p4 released</a></h4>
<p class="article">A new version of tomoyo-tools for the 2.4.x branch has been released, as well as a new version of ccs-tools for the 1.8.x branch.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.2</a></li>
<li><a href="changelogs/tomoyo-tools-2.4.html.en">tomoyo-tools 2.4.0</a></li>
</ul>

<br>

<p class="timestamp">6th August, 2011</p>
<h4><a name="20110806">tomoyo-tools 2.4.0 released</a></h4>
<p class="article">A new version of tomoyo-tools has been released (<a href="changelogs/tomoyo-tools-2.4.html.en">ChangeLog</a>) for the upcoming Linux 3.1 kernel.</p>

<br>

<p class="timestamp">13th July, 2011</p>
<h4><a name="20110713">ccs-patch 1.8.2p2 released</a></h4>
<p class="article">New versions of ccs-patch and ccs-tools for the 1.8.x branch have been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.2</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.2</a></li>
</ul>

<br>

<p class="timestamp">7th July, 2011</p>
<h4><a name="20110707">ccs-patch 1.8.2p1 released</a></h4>
<p class="article">New versions of ccs-patch and ccs-tools for the 1.8.x branch have been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.2</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.2</a></li>
</ul>

<br>

<p class="timestamp">26th June, 2011</p>
<h4><a name="20110626">ccs-tools 1.8.2p1 released</a></h4>
<p class="article">A new version of ccs-tools for the 1.8.x branch has been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.2</a></li>
</ul>

<br>

<p class="timestamp">20th June, 2011</p>
<h4><a name="20110620">ccs-patch 1.8.2 released</a></h4>
<p class="article">New versions of ccs-patch and ccs-tools for the 1.8.x branch have been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.2</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.2</a></li>
</ul>

<br>

<p class="timestamp">11th May, 2011</p>
<h4><a name="20110511">tomoyo-tools, ccs-patch and ccs-tools updated</a></h4>
<p class="article">A new version of tomoyo-tools for the 2.3.x branch has been released, as well as new versions of ccs-patch and ccs-tools for the 1.8.x branch.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/tomoyo-tools-2.3.html.en">tomoyo-tools 2.3.0</a></li>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.1</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.1</a></li>
</ul>

<br>

<p class="timestamp">5th May, 2011</p>
<h4><a name="20110505">ccs-patch 1.8.1p2 released</a></h4>
<p class="article">New versions of ccs-patch for 1.8.x, 1.7.x and 1.6.x branches have been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.1</a></li>
<li><a href="changelogs/ccs-patch-1.7.html.en">ccs-patch 1.7.3</a></li>
<li><a href="changelogs/ccs-patch-1.6.html.en">ccs-patch 1.6.9</a></li>
</ul>

<br>

<p class="timestamp">11th April, 2011</p>
<h4><a name="20110411">ccs-patch 1.8.1p1 released</a></h4>
<p class="article">New versions of ccs-patch for 1.8.x, 1.7.x and 1.6.x branches have been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.1</a></li>
<li><a href="changelogs/ccs-patch-1.7.html.en">ccs-patch 1.7.3</a></li>
<li><a href="changelogs/ccs-patch-1.6.html.en">ccs-patch 1.6.9</a></li>
</ul>

<br>

<p class="timestamp">1st April, 2011</p>
<h4><a name="20110401">ccs-patch 1.8.1 released</a></h4>
<p class="article">New versions of ccs-patch and ccs-tools for 1.8.x, 1.7.x and 1.6.x branches have been released.</p>

<p>ChangeLogs:</p>
<ul>
<li><a href="changelogs/ccs-patch-1.8.html.en">ccs-patch 1.8.1</a></li>
<li><a href="changelogs/ccs-tools-1.8.html.en">ccs-tools 1.8.1</a></li>
<li><a href="changelogs/ccs-patch-1.7.html.en">ccs-patch 1.7.3</a></li>
<li><a href="changelogs/ccs-tools-1.7.html.en">ccs-tools 1.7.3</a></li>
<li><a href="changelogs/ccs-patch-1.6.html.en">ccs-patch 1.6.9</a></li>
<li><a href="changelogs/ccs-tools-1.6.html.en">ccs-tools 1.6.9</a></li>
</ul>

<p>Please note that binary packages for the 1.6.x branch will no longer be provided.</p>

<br>

<p class="timestamp">14th February, 2011</p>
<h4><a name="20110214">ccs-tools 1.8.0p3 released</a></h4>
<p class="article">A new version of ccs-tools for the 1.8.x branch has been released (<a href="changelogs/ccs-tools-1.8.html.en">ChangeLog</a>).</p>

<p>ChangeLog for ccs-tools 1.8.0p3:</p>
<pre>
Version 1.8.0p3 2011/02/14   Dependency reduction and code cleanup release.

  Use readymade manpages in order to remove help2man and gzip from build
  dependency.

  Removed examples from build target in order to remove readline-devel from
  build dependency.

  Use Include.make for passing variables.

  Use install command rather than cp/chmod/chown commands.

  Add comments on and reconstruct some of files.

  Stop if failed to build ccs-editpolicy (probably due to lack of
  ncurses-devel).
</pre>

<br>

<p class="timestamp">11th February, 2011</p>
<h4><a name="20110211">tomoyo-tools 2.2.0p2 and 2.3.0p1 released</a></h4>
<p class="article">New versions of tomoyo-tools for both the 2.2.x (<a href="changelogs/tomoyo-tools-2.2.html.en">ChangeLog</a>) and 2.3.x (<a href="changelogs/tomoyo-tools-2.3.html.en">ChangeLog</a>) branches have been released.</p>

<p>ChangeLog for tomoyo-tools 2.2.0p2:</p>
<pre>
Version 2.2.0p2 2011/02/11 Bugfix release.

  Mount sysfs when /sys/kernel/security/ does not exist rather than when /sys/kernel/ does not exist, for some distributions have /sys/kernel/debug/ on root device.
</pre>

<p>ChangeLog for tomoyo-tools 2.3.0p1:</p>
<pre>
Version 2.3.0p1 2011/02/11   Bugfix release.

  /sbin/tomoyo-init
    Mount sysfs when /sys/kernel/security/ does not exist rather than when /sys/kernel/ does not exist, for some distributions have /sys/kernel/debug/ on root device.
    Wait for /etc/tomoyo/tomoyo-post-init in a more reliable way.

  /usr/sbin/tomoyo-diffpolicy
    Fix regression introduced when fixing old/new inversion bug.
</pre>

<br>

<p class="timestamp">7th February, 2011</p>
<h4><a name="20110207">ccs-patch 1.8.0p3 released</a></h4>
<p class="article">A new kernel patch for the 1.8.x branch has been released. Click to see the full <a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>.</p>
<pre>
ChangeLog for ccs-patch 1.8.0p3:

@ Fix infinite loop bug when reading /proc/ccs/audit or /proc/ccs/query .

  In ccs_flush(), head-&gt;r.w[0] holds pointer to string data to be printed.
  But head-&gt;r.w[0] was updated only when the string data was partially
  printed (because head-&gt;r.w[0] will be updated by head-&gt;r.w[1] later if
  completely printed). However, regarding /proc/ccs/audit and
  /proc/ccs/query , an additional '\0' is printed after the string data was
  completely printed. But if free space for read buffer became 0 before
  printing the additional '\0', ccs_flush() was returning without updating
  head-&gt;r.w[0]. As a result, ccs_flush() forever reprints already printed
  string data.
</pre>

<br>

<p class="timestamp">31st January, 2011</p>
<h4><a name="20110131">Website update</a></h4>
<p class="article">Our website has just been given a major revamp! We hope that you like the new design. If you have any comments, please send an email to our <a href="mailto:tomoyo-users-en@lists.sourceforge.jp">Mailing List</a>. Our documentation has also been receiving a lot of attention over the last few months. The 1.8.x documentation is currently undergoing almost a complete rewrite, and the 2.3.x documentation will soon inherit some of these changes. Watch this space!</p>

<br>

<p class="timestamp">21th January, 2011</p>
<h4><a name="20110121">ccs-patch 1.8.0p2 released</a></h4>
<p class="article">A new kernel patch for the 1.8.x branch has been released. Click to see the full <a href="changelogs/ccs-patch-1.8.html.en">ChangeLog</a>.</p>
<pre>
ChangeLog for ccs-patch 1.8.0p2:

@ Use filesystem name for unnamed devices when vfsmount is missing.

  "Change pathname for non-rename()able filesystems." changed to use
  "$fsname:" if the filesystem does not support rename() operation and
  "dev($major,$minor):" otherwise when vfsmount is missing. But it turned
  out that it is useless to use "dev($major,$minor):" for unnamed devices
  (filesystems with $major == 0). Thus, I changed to use "$fsname:" rather
  than "dev($major,$minor):" for filesystems with $major == 0 when vfsmount
  is missing.
</pre>

<p class="article">The tarballs for ccs-patch 1.6.8p4 and 1.7.2p4 were also updated and contain changes for RHEL5.6 and RHEL5.6/6.0 respectively.</p>

<br>

<p class="timestamp">31st December, 2010</p>
<h4><a name="20101231">ccs-tools 1.7.2p2 and 1.8.0p2 released</a></h4>
<p class="article">New versions of ccs-tools for both the 1.7.x (<a href="changelogs/ccs-tools-1.7.html.en">ChangeLog</a>) and 1.8.x (<a href="changelogs/ccs-tools-1.8.html.en">ChangeLog</a>) branches have been released.</p>
<pre>
ChangeLog for ccs-tools 1.7.2p2:

  /usr/sbin/ccs-diffpolicy
    Fix regression introduced when fixing old/new inversion bug.
</pre>

<pre>
ChangeLog for ccs-tools 1.8.0p2:

  Policy file's location has moved from /etc/ccs/ directory to
  /etc/ccs/policy/YY-MM-DD.hh:mm:ss/ directory. A symlink named "current" which
  points to YY-MM-DD.hh:mm:ss/ directory is created under /etc/ccs/policy/
  directory so that users can switch policy files by manipulating only one
  symlink. Also, a symlink named "previous" which points to previous
  YY-MM-DD.hh:mm:ss/ directory is created under /etc/ccs/policy/ directory
  so that users can easily find previous back up. For compatibility and user's
  convenience, symlinks which point to policy/current/ are created in
  /etc/ccs/ directory.

  Configuration file for userland programs has moved from
  /usr/lib/ccs/ccstools.conf to /etc/ccs/tools/ directory.

  /usr/sbin/ccs-patternize
    Changed syntax and keywords.
    Added conditional rewriting support.
    Added leading pathname matching and trailing pathname matching support.
    Use /etc/ccs/tools/patternize.conf rather than command line arguments.
    First command line argument was not used by error.
    The "file getattr" permission was not handled by error.

  /usr/sbin/ccs-auditd
    Use /proc/ccs/audit rather than /proc/ccs/grant_log and
    /proc/ccs/reject_log (this change requires updated ccs-patch ).
    Added conditional auditing support.
    Use /etc/ccs/tools/auditd.conf rather than command line arguments.

  /usr/sbin/ccs-editpolicy
    Use /etc/ccs/tools/editpolicy.conf rather than /usr/lib/ccs/ccstools.conf .
    Use /proc/ccs/stat rather than /proc/ccs/meminfo .

  /usr/sbin/ccs-diffpolicy
    The first argument and the second argument were reversed by error.

  /usr/sbin/ccs-loadpolicy
    Always read from stdin.
    Do not allow loading multiple policies at the same time.
    Require one of '-e' '-d' '-p' '-m' '-s'.

  /usr/sbin/ccs-savepolicy
    Always save domain_policy.conf exception_policy.conf manager.conf and
    profile.conf under /etc/ccs/policy/YY-MM-DD.hh:mm:ss/ directory.
    Require one of '-e' '-d' '-p' '-m' '-s' for printing to stdout.

  /usr/sbin/ccs-notifyd
    Do not terminate upon first occurrence (this means we no longer need to
    start periodically from cron daemon).
    Moved from /usr/lib/ccs/ to /usr/sbin/ .
    Use /etc/ccs/tools/notifyd.conf rather than command line arguments.

  /usr/lib/ccs/init_policy
    Create initial policy under /etc/ccs/policy/YY-MM-DD.hh:mm:ss/ directory.
    Create initial userland configuration under /etc/ccs/tools/ directory.
    Reserve ANY_PATHNAME ANY_DIRECTORY and COMMON_IOCTL_CMDS groups.

  /usr/lib/ccs/convert-audit-log
    Fix use_group line handling.
</pre>

<br>

<p class="timestamp">22nd November, 2010</p>
<h4><a name="20101122">ccs-patch 1.6.8p4 and 1.7.2p4 released</a></h4>
<p class="article">New patches for both the 1.6.x (<a href="changelogs/ccs-patch-1.6.html.en">ChangeLog</a>) and 1.7.x (<a href="changelogs/ccs-patch-1.7.html.en">ChangeLog</a>) branches have been released.</p>
<pre>
ChangeLog for ccs-patch 1.6.8p4:

@ Do not check trailing '/' for deny_unmount keyword.

  "mount --bind /path/to/file1 /path/to/file2" is legal.
  Therefore, "umount /path/to/file2" is also legal.
  Do not reject if pathname to be unmounted does not end with '/'.
</pre>

<pre>
ChangeLog for ccs-patch 1.7.2p4:

@ Fix umount() pathname calculation.

  "mount --bind /path/to/file1 /path/to/file2" is legal.
  Therefore, "umount /path/to/file2" is also legal.
  Do not automatically append trailing '/' if pathname to be unmounted
  does not end with '/'.

@ Change export level of ccsecurity_ops structure.

  Non-GPL modules might need to access ccsecurity_ops via inlined functions
  embedded into include/linux/security.h and include/net/ip.h .
</pre>

<br>

<p class="timestamp">20th October, 2010</p>
<h4><a name="20101020">TOMOYO Linux 2.3 released</a></h4>
<p class="article">Various enhancements were added to TOMOYO Linux for kernel version 2.6.36, which now requires tomoyo-tools 2.3.x to be installed.</p>

<br>

<p class="timestamp">22nd August, 2010</p>
<h4><a name="20100822">tomoyo-tools 2.3 released</a></h4>
<p class="article">A new version of tomoyo-tools has been released (<a href="changelogs/tomoyo-tools-2.3.html.en">ChangeLog</a>) for the upcoming Linux 2.6.36 kernel.</p>

</div><!-- news-archive -->

</div><!-- content -->

<div id="footer">
<p class="language">Go to <a href="news.html.ja">Japanese page</a>.</p>
<p class="timestamp">Last modified: $Date: 2012-08-06 20:51:43 +0900 (Mon, 06 Aug 2012) $</p>
<p class="trademark">Linux&reg; is a registered trademark of Linus Torvalds world-wide. TOMOYO&reg; is a registered trademark of <a href="http://www.nttdata.co.jp/en/">NTT DATA Corporation</a>.</p>
<p><a href="http://sourceforge.jp/"><img src="http://sourceforge.jp/sflogo.php?group_id=1973" width="96" height="31" alt="sflogo.php" title="SourceForge.jp"></a></p>
</div>

</body>
</html>
